Loading...
Searching...
No Matches
ON_LinearDimension Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_annotation.h>`

Inheritance diagram for ON_LinearDimension:

## Public Member Functions

ON_BOOL32 | IsRealObject () const
| ON_LinearDimension ()
| ON_LinearDimension (const ON_LinearDimension &)
| ~ON_LinearDimension ()
ON_LinearDimension & | operator= (const ON_LinearDimension &)
double | NumericValue ()
void | SetTextToDefault ()
void | EmergencyDestroy ()
Public Member Functions inherited from ON_Annotation
| ON_Annotation ()
| ON_Annotation (const ON_Annotation &)
| ~ON_Annotation ()
ON_Annotation & | operator= (const ON_Annotation &)
void | Create ()
void | Destroy ()
void | EmergencyDestroy ()
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
ON::object_type | ObjectType () const
int | Dimension () const
ON_BOOL32 | GetBBox (double *, double *, ON_BOOL32=false) const
ON_BOOL32 | Transform (const ON_Xform &)
bool | IsText () const
bool | IsLeader () const
bool | IsDimension () const
virtual double | NumericValue () const
void | SetType (ON::eAnnotationType type)
ON::eAnnotationType | Type () const
void | SetTextDisplayMode (ON::eTextDisplayMode mode)
ON::eTextDisplayMode | TextDisplayMode () const
void | SetPlane (const ON_Plane &plane)
ON_Plane | Plane () const
int | PointCount () const
void | SetPoints (const ON_SimpleArray< ON_2dPoint > &points)
const ON_SimpleArray< ON_2dPoint > & | Points () const
void | SetPoint (int idx, ON_3dPoint point)
ON_2dPoint | Point (int idx) const
void | SetUserText (const wchar_t *string)
const ON_wString & | UserText () const
void | SetDefaultText (const wchar_t *string)
const ON_wString & | DefaultText () const
void | SetUserPositionedText (int bUserPositionedText)
bool | UserPositionedText () const
bool | GetECStoWCSXform (ON_Xform &xform) const
bool | GeWCStoECSXform (ON_Xform &xform) const
Public Member Functions inherited from ON_Geometry
| ON_Geometry ()
| ON_Geometry (const ON_Geometry &)
ON_Geometry & | operator= (const ON_Geometry &)
virtual | ~ON_Geometry ()
ON_BoundingBox | BoundingBox () const
ON_BOOL32 | GetBoundingBox (ON_BoundingBox &bbox, int bGrowBox=false) const
ON_BOOL32 | GetBoundingBox (ON_3dPoint &bbox_min, ON_3dPoint &bbox_max, int bGrowBox=false) const
ON_BOOL32 | Rotate (double sin_angle, double cos_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
ON_BOOL32 | Rotate (double rotation_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
ON_BOOL32 | Translate (const ON_3dVector &translation_vector)
ON_BOOL32 | Scale (double scale_factor)
virtual bool | GetTightBoundingBox (ON_BoundingBox &tight_bbox, int bGrowBox=false, const ON_Xform *xform=0) const
virtual void | ClearBoundingBox ()
virtual bool | IsDeformable () const
virtual bool | MakeDeformable ()
virtual ON_BOOL32 | SwapCoordinates (int i, int j)
virtual ON_BOOL32 | HasBrepForm () const
virtual ON_Brep * | BrepForm (ON_Brep *brep=NULL) const
virtual ON_COMPONENT_INDEX | ComponentIndex () const
virtual bool | EvaluatePoint (const class ON_ObjRef &objref, ON_3dPoint &P) const
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual unsigned int | SizeOf () const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Additional Inherited Members

Static Public Member Functions inherited from ON_Annotation
static const ON_3dmAnnotationSettings & | AnnotationSettings ()
static void | SetAnnotationSettings (const ON_3dmAnnotationSettings *)
Public Attributes inherited from ON_Annotation
ON::eAnnotationType | m_type
ON::eTextDisplayMode | m_textdisplaymode
ON_Plane | m_plane
ON_SimpleArray< ON_2dPoint > | m_points
ON_wString | m_usertext
ON_wString | m_defaulttext
bool | m_userpositionedtext

## Detailed Description

Definition at line 293 of file opennurbs_annotation.h.

## Constructor & Destructor Documentation

## ON_LinearDimension() [1/2]

ON_LinearDimension::ON_LinearDimension | ( |  | ) |

Referenced by ON_LinearDimension(), and operator=().

## ON_LinearDimension() [2/2]

ON_LinearDimension::ON_LinearDimension | ( | const ON_LinearDimension & |  | ) |

References ON_LinearDimension().

## ~ON_LinearDimension()

ON_LinearDimension::~ON_LinearDimension | ( |  | ) |

## Member Function Documentation

## EmergencyDestroy()

void ON_LinearDimension::EmergencyDestroy | ( |  | ) |

## IsRealObject()

ON_BOOL32 ON_LinearDimension::IsRealObject | ( |  | ) | const

virtual

Implements ON_Annotation.

## NumericValue()

double ON_LinearDimension::NumericValue | ( |  | ) |

## operator=()

ON_LinearDimension & ON_LinearDimension::operator= | ( | const ON_LinearDimension & |  | ) |

References ON_LinearDimension().

## SetTextToDefault()

void ON_LinearDimension::SetTextToDefault | ( |  | ) |

virtual

Reimplemented from ON_Annotation.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_annotation.h